package org.silverpeas.mobile.client.apps.documents.pages;

public class SharingPage_SharingPageUiBinderImpl_TemplateImpl implements org.silverpeas.mobile.client.apps.documents.pages.SharingPage_SharingPageUiBinderImpl.Template {
  
  public com.google.gwt.safehtml.shared.SafeHtml html1(java.lang.String arg0) {
    StringBuilder sb = new java.lang.StringBuilder();
    sb.append("<span class='ui-btn-text'>");
    sb.append(com.google.gwt.safehtml.shared.SafeHtmlUtils.htmlEscape(arg0));
    sb.append("</span>");
return new com.google.gwt.safehtml.shared.OnlyToBeUsedInGeneratedCodeStringBlessedAsSafeHtml(sb.toString());
}

public com.google.gwt.safehtml.shared.SafeHtml html2(com.google.gwt.safehtml.shared.SafeHtml arg0,java.lang.String arg1,com.google.gwt.safehtml.shared.SafeHtml arg2,java.lang.String arg3,com.google.gwt.safehtml.shared.SafeHtml arg4,java.lang.String arg5,com.google.gwt.safehtml.shared.SafeHtml arg6,java.lang.String arg7,com.google.gwt.safehtml.shared.SafeHtml arg8,java.lang.String arg9,com.google.gwt.safehtml.shared.SafeHtml arg10,java.lang.String arg11,java.lang.String arg12) {
StringBuilder sb = new java.lang.StringBuilder();
sb.append("<label class='field-label' id='validityLabel'>");
sb.append(arg0.asString());
sb.append("</label> <span id='");
sb.append(com.google.gwt.safehtml.shared.SafeHtmlUtils.htmlEscape(arg1));
sb.append("'></span> <div id='endValidityLabel'>");
sb.append(arg2.asString());
sb.append("</div> <span id='");
sb.append(com.google.gwt.safehtml.shared.SafeHtmlUtils.htmlEscape(arg3));
sb.append("'></span>  <div id='maxAccessLabel' style='label'>");
sb.append(arg4.asString());
sb.append("</div> <span id='");
sb.append(com.google.gwt.safehtml.shared.SafeHtmlUtils.htmlEscape(arg5));
sb.append("'></span> <div id='usersLabel' style='label'>");
sb.append(arg6.asString());
sb.append("</div> <span id='");
sb.append(com.google.gwt.safehtml.shared.SafeHtmlUtils.htmlEscape(arg7));
sb.append("'></span> <div id='emailsLabel' style='label'>");
sb.append(arg8.asString());
sb.append("</div> <span id='");
sb.append(com.google.gwt.safehtml.shared.SafeHtmlUtils.htmlEscape(arg9));
sb.append("'></span> <div id='commentsLabel' style='label'>");
sb.append(arg10.asString());
sb.append("</div> <span id='");
sb.append(com.google.gwt.safehtml.shared.SafeHtmlUtils.htmlEscape(arg11));
sb.append("'></span> <div class='ui-controlgroup ui-controlgroup-horizontal'> <div class='ui-controlgroup-controls'> <span id='");
sb.append(com.google.gwt.safehtml.shared.SafeHtmlUtils.htmlEscape(arg12));
sb.append("'></span> </div> </div>");
return new com.google.gwt.safehtml.shared.OnlyToBeUsedInGeneratedCodeStringBlessedAsSafeHtml(sb.toString());
}
}
